% NEFCON learning algorithm.  
% Version 1.0, 30-08-96  
%  
% GUI Tools  
%   nefgui     - Main control window  
%   nefgui_c   - Manage settings for creation of Nefcon system 
%   nefgui_e   - Manage error settings     
%   nefgui_i   - Manage input preprocessing  
%   nefgui_o   - Manage learning algorithm settings  
%  
% Command line functions (some update GUI-tools' information displays)  
%   nefbnder   - Nefcon bounded error calculation  
%   nefcon     - Nefcon main routine  
%   nefcrea    - Creates Simulink blocks 
%   nefopt     - Nefcon optimizing routine  
%   nefdef     - Set default values to undefined variables  
%                (examines some simulink settings too) 
%   nefdlp     - Displays all loop results
%   nefrules   - Rule learning function (phase 1)
%   nefrule2   - Rule learning function (phase 2)
%   nefopt     - Optimization function (Nefcon learning algorithms) 
%   nefoptf    - Signal editor of bounded signal generator 
%   neferr     - Error calculation 
%   nefmat     - Load/save settings from/to disk 
%   nefsign    - Subfunction of signal editor 
%   nefinit    - Intializes Nefcon matrix/fismatrix 
%   syserr     - Default external error function (using bounds)
%  
% Simulink functions  
%   nb         - Simulink window containig Nefcon-System block 
%   snefcon    - Nefcon main routine embedding  
%   snefsign   - Nefcon bounded signal generator routine  
%   nefsim     - Simulation loop (started by NEFGUI) and display of results
%   nefsim1    - Displays selected simulation result
% 
% Additional tools
%   dispmfs    - Plot all membershipfunctions of a fismatrix
%   getfidx    - Get varindex of in- or output variable in fismat
%   mfcreate   - Create membership functions and input/output variables 
%   modsign    - Signal modification tool for nefcon bounded-signal-generator  
%   nefdfz     - Defuzzification of a membership function 
%   nevevmf    - Evaluate membership function   
%   neffilla   - Creates the constraint bounds (Nefcon bound generator)
%   startup    - Script to include Nefcon directories in the matlabpath
%
% 
% Helpfiles  
%   nefcon.htm - Online documentation  
%  
