function ferr = neferr(input);  
  
%NEFERR calculate fuzzy error.  
% 
%       Calculates the error using the selected method (NEFCON_FERR). 
%       If an error fismatrix with n inputs is selected the first n 
%       elements in input are passed to it during execution. 
% 
%  See also NEFCON. 
  
% Author: Andreas Nuernberger, TU Braunschweig, August 1996; a.nuernberger@tu-bs.de
%         contact: Ludger Merz, DASA-Airbus GmbH, Hamburg; ludger.merz@airbus.de

% Globals:  
global NEFCON_GEN NEFCON_FERR NEFCON_EFM NEFCON_EFMN 
 
global NEFCON_FNUMIN 
global NEFCON_BOUNDS

if NEFCON_FERR == 1                      % using fismatrix 
  
    ferr = evalfis(input(1:NEFCON_FNUMIN), NEFCON_EFM); 
  
elseif NEFCON_FERR == 2 
 
    ferr = input(1); 
 
elseif NEFCON_FERR == 3
	
    ferr = nefbnder(input, NEFCON_BOUNDS);

elseif NEFCON_FERR == 4  
 
    ferr = feval(NEFCON_EFMN, input, NEFCON_BOUNDS);
 
end 

ferr = min(max(-1, ferr),1); 
